org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer

## Class PatternsViewerFlatContentProvider

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternsViewerFlatContentProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

      public class PatternsViewerFlatContentProvider
      extends java.lang.Object
      implements org.eclipse.jface.viewers.ITreeContentProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternsViewerFlatContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object[]` | `getChildren(java.lang.Object parentElement)`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
    `java.lang.Object` | `getParent(java.lang.Object element)`
    `boolean` | `hasChildren(java.lang.Object element)`
    `void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternsViewerFlatContentProvider

          public PatternsViewerFlatContentProvider()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### inputChanged

          public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### getChildren

          public java.lang.Object[] getChildren(java.lang.Object parentElement)

      Specified by:
        `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### getParent

          public java.lang.Object getParent(java.lang.Object element)

      Specified by:
        `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### hasChildren

          public boolean hasChildren(java.lang.Object element)

      Specified by:
        `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`